Subject: Re: [PATCH 22/40] Windows: Implement asynchronous functions as threads.

From: Paul Franz <[email-masked]>
Date: Thu, 28 Feb 2008 22:08:16 -0500

Johannes Schindelin wrote:
> Hi,
> [top-posting?]

Is there something wrong with it?
> On Thu, 28 Feb 2008, Paul Franz wrote:
>
>   
>> True there are the legal issues. And it is not known if it would help on 
>> other platforms. My may concern is Windows because if git could be made 
>> available without some of msysGit's requirements. It would definitely 
>> make it more palletable (sp?) to that community which is a large chunk 
>> of developers, including my own work environment. I would love to switch 
>> from ClearCase to git but there are issues. One of them is integration 
>> with the Windows environment.
>>     
>
> I think that you do not help the effort to bring Git to Windows, by 
> suggesting even more work, for dubitable benefits.
>
> And that is what I think of APR here.
>
> NOTE: my only experience with APR on Windows is to get git-svn to compile, 
> and there it was not only a PITA.  The result is _SLOW_.
>   

Thanks for the info.
>   
>> Another concern is performance penalty of using non-native calls under 
>> Windows and that is one of the problems that I was hoping the using APR 
>> would solve. I figure if it is good enough to support the network stuff 
>> under Windows well maybe it would be good for git too.
>>     
>
> The problems with Git and Windows are not network related.  They are with 
> Windows' pitiful performance when it comes to spawn processes.
>   
Which makes me believe that it sounds like git depends on spawning 
processes being cheap.
> IMO your efforts to help Git on Windows would be better spent on the 
> msysGit list, where you would learn about the real issues we face.
>   

Excuse my ignorance,  could you tell me where the mysGit list is, so 
that I can subscribe?

> Ciao,
> Dscho
-- 

-------------------------------------------

There are seven sins in the world.
     Wealth without work.
     Pleasure without conscience.
     Knowledge without character.
     Commerce without morality.
     Science without humanity.
     Worship without sacrifice.
     Politics without principle.

   -- Mohandas Gandhi

-------------------------------------------